> ## Documentation Index
> Fetch the complete documentation index at: https://docs.lerian.studio/llms.txt
> Use this file to discover all available pages before exploring further.

# Exportar informe de transacciones no conciliadas

> Utilice este endpoint para exportar un informe de transacciones no conciliadas en formato CSV o PDF para el rango de fechas especificado.



## OpenAPI

````yaml es/openapi/v3-current/matcher.yaml get /v1/reports/contexts/{contextId}/unmatched/export
openapi: 3.1.0
info:
  title: Matcher APIs
  description: >-
    Referencia completa de la API para el motor de conciliación Matcher, que
    proporciona conciliación automatizada de transacciones entre Midaz Ledger y
    sistemas externos.
  version: 4.1.0
  license:
    name: Lerian Studio General License
servers:
  - url: https://matcher.sandbox.lerian.net
security: []
paths:
  /v1/reports/contexts/{contextId}/unmatched/export:
    get:
      tags:
        - Reporting
      summary: Exportar informe de transacciones no conciliadas
      description: >-
        Utilice este endpoint para exportar un informe de transacciones no
        conciliadas en formato CSV o PDF para el rango de fechas especificado.
      operationId: exportUnmatchedReport
      parameters:
        - description: A unique identifier for tracing the request across services.
          in: header
          name: X-Request-Id
          schema:
            type: string
        - description: The unique identifier of the reconciliation context.
          in: path
          name: contextId
          required: true
          schema:
            type: string
        - description: Start date (YYYY-MM-DD)
          in: query
          name: date_from
          required: true
          schema:
            type: string
        - description: End date (YYYY-MM-DD)
          in: query
          name: date_to
          required: true
          schema:
            type: string
        - description: Source ID filter
          in: query
          name: source_id
          schema:
            type: string
        - description: Export format (csv or pdf)
          in: query
          name: format
          schema:
            type: string
            enum:
              - csv
              - pdf
            default: csv
      responses:
        '200':
          description: >-
            Indica que la solicitud fue exitosa y la respuesta contiene los
            datos esperados.
          content:
            text/csv:
              schema:
                type: string
                format: binary
            application/pdf:
              schema:
                type: string
                format: binary
        '400':
          description: La solicitud contiene parámetros o cuerpo no válidos.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '401':
          description: La solicitud no tiene credenciales de autenticación válidas.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '403':
          description: No tiene permiso para acceder a este recurso.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '404':
          description: El recurso solicitado no fue encontrado.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '500':
          description: Ocurrió un error inesperado en el servidor.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
      security:
        - BearerAuth: []
components:
  schemas:
    ErrorResponse:
      description: Respuesta de error estándar devuelta por todos los endpoints de la API
      type: object
      required:
        - code
        - title
        - message
      properties:
        code:
          type: string
          description: Código de error de aplicación estable.
          example: MTCH-0001
        title:
          type: string
          description: Título de error legible por humanos.
          example: Bad Request
        message:
          type: string
          description: Mensaje de error legible con detalles.
          example: context not found
        error:
          type: string
          description: >-
            Obsoleto. Mensaje de error para compatibilidad con versiones
            anteriores.
          deprecated: true
        details:
          description: Contexto de error adicional como pares clave-valor
          additionalProperties: {}
          type: object
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: 'Autenticación con token Bearer (formato: "Bearer {token}")'

````